Forum: Installation

Post: Ubuntu 9.10 / Windows 7 / wubi

Ubuntu 9.10 / Windows 7 / wubi
chbussler
Apr 3, 2010
Hi,
this is just a note; I installed Ubuntu 9.10 on a Windows 7 machine (dual boot) as a learning environment, and Volt runs the Satellite example fine.

After getting the example to run I realized that my environment is on Sun Java 1.6_015, not on the recommended 1.6_018. How important is this Java version?


Thanks,

Christoph
Sun Java version
tcallaghan
Apr 3, 2010
Christoph,

We reported a bug in the Sun JVM that has been fixed in 1.6.0_18. This fix has not yet made it into the OpenJDK implementation. The bug reproduces itself intermittently but when it does your cluster will stop responding to client requests. It also reproduces more frequently on dual socket Intel Xeon 5500 servers.


Given that you are running a single machine you probably won't see it but we would recommend upgrading to Sun JDK 1.6.0_18.

-Tim
Sun 1.6.0_19 available as proposed update in Ubuntu 9.10
chbussler
Apr 6, 2010
Christoph,

We reported a bug in the Sun JVM that has been fixed in 1.6.0_18. This fix has not yet made it into the OpenJDK implementation. The bug reproduces itself intermittently but when it does your cluster will stop responding to client requests. It also reproduces more frequently on dual socket Intel Xeon 5500 servers.


Given that you are running a single machine you probably won't see it but we would recommend upgrading to Sun JDK 1.6.0_18.

-Tim


Hi,
just found out that 1.6.0_19 was made available as proposed update in Ubuntu.
Christoph
Sun JDK 1.6.0_19
tcallaghan
Apr 6, 2010
Hi,
just found out that 1.6.0_19 was made available as proposed update in Ubuntu.
Christoph


Christoph,

Thanks for the heads up, we just noticed that as well. When we have tested VoltDB on this new version we will update our release notes.
-Tim